---
layout: free-trial
title: Try GitLab for free
description: "Enjoy a free 30-day trial of GitLab and experience the full software development lifecycle & DevOps tool with an extensive range of innovative features!"
canonical_path: "/free-trial/"
extra_css:
  - pricing.css
  - free-trial.css
extra_js:
  - tabs.js
---

.gitlab-content.container
  .headline-container
    %h1.bold-headline.color-gray
      Try all GitLab features -
      %span.color-primary
        free for 30 days
    %p.margin-top10
      GitLab is more than just source code management or CI/CD. It is a full software development lifecycle & DevOps tool in a
      %span.text-bold
        single application.
    %h4.question
      How do you want to try GitLab?

  .row.text-center
    .col-md-6.col-sm-6
      .gitlab-type-image-container
        = partial "includes/icons/free-trial-cloud.svg"
      %h4.margin-bottom0
        SaaS/Cloud - GitLab.com
      .lead.promo-text.light
        SaaS offering hosted by GitLab
      %p.text-left
        Select this option if you want to
        %span.text-bold
          quickly try the GitLab features &amp; user experience
        and don't want to worry about downloading and installing it yourself.
      %a.btn.cta-btn.orange.margin-top20.start-trial{ "href": "https://gitlab.com/-/trial_registrations/new?glm_source=about.gitlab.com&glm_content=free-trial", "onclick": "dataLayer.push({'event': 'saas-trial-click'});" } 
        Start your GitLab.com free trial 
    .col-md-6.col-sm-6
      .gitlab-type-image-container
        = partial "includes/icons/free-trial-self-managed.svg"
      %h4.margin-bottom0
        Download &amp; Install - GitLab Self-Managed
      .lead.promo-text.light
        Host your own instance on-premises or in the cloud
      %p.text-left
        Select this option if you want to
        %span.text-bold
          download and install GitLab
        on your own infrastructure or in our public cloud environment. Note: GitLab Self-Managed requires Linux experience to install.
      %a.btn.cta-btn.orange.margin-top20.start-trial{ href: "./self-managed/" }
        Start your Self-Managed GitLab free trial

= partial "includes/free-trial/features"
= partial "includes/home/customer-logos-transparent"
= partial "includes/layout/footer-blank"
